Subject: Re: [PATCH v2 1/3] github-actions: run gcc-8 on ubuntu-20.04 image

From: Junio C Hamano <[email-masked]>
Date: Fri, 25 Nov 2022 16:21:04 +0900

Ævar Arnfjörð Bjarmason <[email-masked]> writes:

> Because while I think a non-pinned "latest" sucks because it forces us
> to scramble with updates like this, having a "pinned" image go away
> entirely (because nobody noticed we should update it sooner-than-later)
> would suck more.

Yeah, that matches my preference, assuming that we do not have a
pre-warning to help us avoid scrambling either way.

If we have such a pre-warning, I would say it may be nicer to pin a
version, even if the only upside is that we can say we test with
"this exact version".